function [K,c] = direkt_iirkafes(b,a)
% IIR kutup-sfr direkt formdan  kafes szge gsterilimi
%  K =Kafes yansma katsaylar
%  c = gecikme hatt katsaylar
%  b = pay polinomu katsaylar
%  a = payda polinomu katsaylar
a1 = a(1); a = a/a1; b = b/a1;
M = length(b); N = length(a);
if M > N
 error('*** b uzunluu <= a uzunluu olmal ***')
end
b = [b, zeros(1,N-M)]; K = zeros(1,N-1);
A = zeros(N-1,N-1); c = b;
for m = N-1:-1:1
     A(m,1:m) = -a(2:m+1)*c(m+1);
     K(m) = a(m+1);
     J = fliplr(a);
     a = (a-K(m)*J)/(1-K(m)*K(m));
     a = a(1:m);
     c(m) = b(m) + sum(diag(A(m:N-1,1:N-m)));
end